SOCKSTAT(1)

NAME
sockstat - list open sockets

SYNOPSIS
sockstat [-46cLlu] [-j jid] [-p ports] [-P protocols]

DESCRIPTION
The sockstat command lists open Internet or UNIX domain sockets.

The following options are available:

-4  Show AF_INET (IPv4) sockets.

-6  Show AF_INET6 (IPv6) sockets.

-c  Show connected sockets.

-j jid
    Show only sockets belonging to the specified jail ID.

-L  Only show Internet sockets if the local or foreign addresses are not in the loopback network prefix 127.0.0.0/8, or do not contain the IPv6 loopback address ::1.

-l  Show listening sockets.

-p ports
    Only show Internet sockets if either the local or foreign port number is on the specified list. The ports argument is a comma-separated list of port numbers and ranges specified as first and last port separated by a dash.

-P protocols
    Only show sockets of the specified protocols. The protocols argument is a comma-separated list of protocol names, as they are defined in protocols(5).

-u  Show AF_LOCAL (UNIX) sockets.

If neither -4, -6 or -u is specified, sockstat will list sockets in all three domains.

If neither -c or -l is specified, sockstat will list both listening and connected sockets.

The information listed for each socket is:

USER
    The user who owns the socket.

COMMAND
    The command which holds the socket.

PID The process ID of the command which holds the socket.

FD  The file descriptor number of the socket.

PROTO
    The transport protocol associated with the socket for Internet sockets, or the type of socket (stream or datagram) for UNIX sockets.

LOCAL ADDRESS
    For Internet sockets, this is the address the local end of the socket is bound to (see getsockname(2)). For bound UNIX sockets, it is the socket's filename. For other UNIX sockets, it is a right arrow followed by the endpoint's filename, or “??” if the endpoint could not be determined.

FOREIGN ADDRESS
    (Internet sockets only) The address the foreign end of the socket is bound to (see getpeername(2)).

If a socket is associated with more than one file descriptor, it is shown multiple times. If a socket is not associated with any file descriptor, the first four columns have no meaning.

SEE ALSO
fstat(1), netstat(1), procstat(1), inet(4), inet6(4), protocols(5)

HISTORY
The sockstat command appeared in FreeBSD 3.1.

AUTHORS
The sockstat command and this manual page were written by Dag-Erling Smørgrav <des@FreeBSD.org>.